Index: uspace/srv/net/structures/packet/packet_remote.c
===================================================================
--- uspace/srv/net/structures/packet/packet_remote.c	(revision 7fb2ce3a39c178e1fe1d067e574c276967abe241)
+++ uspace/srv/net/structures/packet/packet_remote.c	(revision 858fc9083f1f538a864233e8551633863fb17e0b)
@@ -60,43 +60,45 @@
  *  @returns Other error codes as defined for the async_share_in_start() function.
  */
-int packet_return( int phone, packet_ref packet, packet_id_t packet_id, size_t size );
+int packet_return(int phone, packet_ref packet, packet_id_t packet_id, size_t size);
 
-int packet_translate( int phone, packet_ref packet, packet_id_t packet_id ){
+int packet_translate(int phone, packet_ref packet, packet_id_t packet_id){
 	ERROR_DECLARE;
 
-	ipcarg_t			size;
-	packet_t			next;
+	ipcarg_t size;
+	packet_t next;
 
-	if( ! packet ) return EINVAL;
-	* packet = pm_find( packet_id );
-	if( !( * packet )){
-		ERROR_PROPAGATE( async_req_1_1( phone, NET_PACKET_GET_SIZE, packet_id, & size ));
-		ERROR_PROPAGATE( packet_return( phone, packet, packet_id, size ));
+	if(! packet){
+		return EINVAL;
 	}
-	if(( ** packet ).next ){
-		return packet_translate( phone, & next, ( ** packet ).next );
+	*packet = pm_find(packet_id);
+	if(!(*packet)){
+		ERROR_PROPAGATE(async_req_1_1(phone, NET_PACKET_GET_SIZE, packet_id, &size));
+		ERROR_PROPAGATE(packet_return(phone, packet, packet_id, size));
+	}
+	if((** packet).next){
+		return packet_translate(phone, &next, (** packet).next);
 	}else return EOK;
 }
 
-int packet_return( int phone, packet_ref packet, packet_id_t packet_id, size_t size ){
+int packet_return(int phone, packet_ref packet, packet_id_t packet_id, size_t size){
 	ERROR_DECLARE;
 
-	aid_t		message;
-	ipc_call_t	answer;
-	ipcarg_t	result;
+	aid_t message;
+	ipc_call_t answer;
+	ipcarg_t result;
 
-	message = async_send_1( phone, NET_PACKET_GET, packet_id, & answer );
-	* packet = ( packet_t ) as_get_mappable_page( size );
-	if( ERROR_OCCURRED( async_share_in_start_0_0( phone, * packet, size ))
-	|| ERROR_OCCURRED( pm_add( * packet ))){
-		munmap( * packet, size );
-		async_wait_for( message, NULL );
+	message = async_send_1(phone, NET_PACKET_GET, packet_id, &answer);
+	*packet = (packet_t) as_get_mappable_page(size);
+	if(ERROR_OCCURRED(async_share_in_start_0_0(phone, * packet, size))
+		|| ERROR_OCCURRED(pm_add(*packet))){
+		munmap(*packet, size);
+		async_wait_for(message, NULL);
 		return ERROR_CODE;
 	}
-	async_wait_for( message, & result );
+	async_wait_for(message, &result);
 	return result;
 }
 
-packet_t packet_get_4( int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix ){
+packet_t packet_get_4(int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix){
 	ERROR_DECLARE;
 
@@ -105,10 +107,10 @@
 	packet_t packet;
 
-	if( ERROR_OCCURRED( async_req_4_2( phone, NET_PACKET_CREATE_4, max_content, addr_len, max_prefix, max_suffix, & packet_id, & size ))){
+	if(ERROR_OCCURRED(async_req_4_2(phone, NET_PACKET_CREATE_4, max_content, addr_len, max_prefix, max_suffix, &packet_id, &size))){
 		return NULL;
 	}
-	packet = pm_find( packet_id );
-	if( ! packet ){
-		if( ERROR_OCCURRED( packet_return( phone, & packet, packet_id, size ))){
+	packet = pm_find(packet_id);
+	if(! packet){
+		if(ERROR_OCCURRED(packet_return(phone, &packet, packet_id, size))){
 			return NULL;
 		}
@@ -117,17 +119,17 @@
 }
 
-packet_t packet_get_1( int phone, size_t content ){
+packet_t packet_get_1(int phone, size_t content){
 	ERROR_DECLARE;
 
-	ipcarg_t	packet_id;
-	ipcarg_t	size;
-	packet_t	packet;
+	ipcarg_t packet_id;
+	ipcarg_t size;
+	packet_t packet;
 
-	if( ERROR_OCCURRED( async_req_1_2( phone, NET_PACKET_CREATE_1, content, & packet_id, & size ))){
+	if(ERROR_OCCURRED(async_req_1_2(phone, NET_PACKET_CREATE_1, content, &packet_id, &size))){
 		return NULL;
 	}
-	packet = pm_find( packet_id );
-	if( ! packet ){
-		if( ERROR_OCCURRED( packet_return( phone, & packet, packet_id, size ))){
+	packet = pm_find(packet_id);
+	if(! packet){
+		if(ERROR_OCCURRED(packet_return(phone, &packet, packet_id, size))){
 			return NULL;
 		}
@@ -136,6 +138,6 @@
 }
 
-void pq_release( int phone, packet_id_t packet_id ){
-	async_msg_1( phone, NET_PACKET_RELEASE, packet_id );
+void pq_release(int phone, packet_id_t packet_id){
+	async_msg_1(phone, NET_PACKET_RELEASE, packet_id);
 }
 
